package com.mortals.xhx.module.staff.model;

import java.math.BigDecimal;
import java.util.List;
import com.mortals.xhx.module.staff.model.StaffPerformSummaryEntity;
/**
* 员工绩效统计查询对象
*
* @author zxfei
* @date 2023-07-05
*/
public class StaffPerformSummaryQuery extends StaffPerformSummaryEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 人员id */
    private Long staffIdStart;

    /** 结束 人员id */
    private Long staffIdEnd;

    /** 增加 人员id */
    private Long staffIdIncrement;

    /** 人员id列表 */
    private List <Long> staffIdList;

    /** 人员id排除列表 */
    private List <Long> staffIdNotList;

    /** 工号 */
    private List<String> workNumList;

    /** 工号排除列表 */
    private List <String> workNumNotList;
    /** 人员名称 */
    private List<String> staffNameList;

    /** 人员名称排除列表 */
    private List <String> staffNameNotList;
    /** 开始 部门id号 */
    private Long deptIdStart;

    /** 结束 部门id号 */
    private Long deptIdEnd;

    /** 增加 部门id号 */
    private Long deptIdIncrement;

    /** 部门id号列表 */
    private List <Long> deptIdList;

    /** 部门id号排除列表 */
    private List <Long> deptIdNotList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 考勤绩效指标分数 */
    private BigDecimal attendScoreStart;

    /** 结束 考勤绩效指标分数 */
    private BigDecimal attendScoreEnd;

    /** 增加 考勤绩效指标分数 */
    private BigDecimal attendScoreIncrement;

    /** 考勤绩效指标分数列表 */
    private List <BigDecimal> attendScoreList;

    /** 考勤绩效指标分数排除列表 */
    private List <BigDecimal> attendScoreNotList;

    /** 开始 评价绩效指标分数 */
    private BigDecimal assessScoreStart;

    /** 结束 评价绩效指标分数 */
    private BigDecimal assessScoreEnd;

    /** 增加 评价绩效指标分数 */
    private BigDecimal assessScoreIncrement;

    /** 评价绩效指标分数列表 */
    private List <BigDecimal> assessScoreList;

    /** 评价绩效指标分数排除列表 */
    private List <BigDecimal> assessScoreNotList;

    /** 开始 办件绩效分数 */
    private BigDecimal workScoreStart;

    /** 结束 办件绩效分数 */
    private BigDecimal workScoreEnd;

    /** 增加 办件绩效分数 */
    private BigDecimal workScoreIncrement;

    /** 办件绩效分数列表 */
    private List <BigDecimal> workScoreList;

    /** 办件绩效分数排除列表 */
    private List <BigDecimal> workScoreNotList;

    /** 开始 效能绩效分数 */
    private BigDecimal effectScoreStart;

    /** 结束 效能绩效分数 */
    private BigDecimal effectScoreEnd;

    /** 增加 效能绩效分数 */
    private BigDecimal effectScoreIncrement;

    /** 效能绩效分数列表 */
    private List <BigDecimal> effectScoreList;

    /** 效能绩效分数排除列表 */
    private List <BigDecimal> effectScoreNotList;

    /** 开始 其它绩效分数 */
    private BigDecimal otherScoreStart;

    /** 结束 其它绩效分数 */
    private BigDecimal otherScoreEnd;

    /** 增加 其它绩效分数 */
    private BigDecimal otherScoreIncrement;

    /** 其它绩效分数列表 */
    private List <BigDecimal> otherScoreList;

    /** 其它绩效分数排除列表 */
    private List <BigDecimal> otherScoreNotList;

    /** 开始 累计异常分数 */
    private BigDecimal errorScoreStart;

    /** 结束 累计异常分数 */
    private BigDecimal errorScoreEnd;

    /** 增加 累计异常分数 */
    private BigDecimal errorScoreIncrement;

    /** 累计异常分数列表 */
    private List <BigDecimal> errorScoreList;

    /** 累计异常分数排除列表 */
    private List <BigDecimal> errorScoreNotList;

    /** 开始 当月得分数 */
    private BigDecimal totalScoreStart;

    /** 结束 当月得分数 */
    private BigDecimal totalScoreEnd;

    /** 增加 当月得分数 */
    private BigDecimal totalScoreIncrement;

    /** 当月得分数列表 */
    private List <BigDecimal> totalScoreList;

    /** 当月得分数排除列表 */
    private List <BigDecimal> totalScoreNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 年 */
    private Integer yearStart;

    /** 结束 年 */
    private Integer yearEnd;

    /** 增加 年 */
    private Integer yearIncrement;

    /** 年列表 */
    private List <Integer> yearList;

    /** 年排除列表 */
    private List <Integer> yearNotList;

    /** 开始 月 */
    private Integer monthStart;

    /** 结束 月 */
    private Integer monthEnd;

    /** 增加 月 */
    private Integer monthIncrement;

    /** 月列表 */
    private List <Integer> monthList;

    /** 月排除列表 */
    private List <Integer> monthNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人id */
    private Long createUserIdStart;

    /** 结束 创建人id */
    private Long createUserIdEnd;

    /** 增加 创建人id */
    private Long createUserIdIncrement;

    /** 创建人id列表 */
    private List <Long> createUserIdList;

    /** 创建人id排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人id */
    private Long updateUserIdStart;

    /** 结束 更新人id */
    private Long updateUserIdEnd;

    /** 增加 更新人id */
    private Long updateUserIdIncrement;

    /** 更新人id列表 */
    private List <Long> updateUserIdList;

    /** 更新人id排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<StaffPerformSummaryQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<StaffPerformSummaryQuery> andConditionList;

    public StaffPerformSummaryQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 人员id
    * @return staffIdStart
    */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
    * 设置 开始 人员id
    * @param staffIdStart
    */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
    * 获取 结束 人员id
    * @return $staffIdEnd
    */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
    * 设置 结束 人员id
    * @param staffIdEnd
    */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
    * 获取 增加 人员id
    * @return staffIdIncrement
    */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
    * 设置 增加 人员id
    * @param staffIdIncrement
    */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
    * 获取 人员id
    * @return staffIdList
    */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
    * 设置 人员id
    * @param staffIdList
    */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
    * 获取 人员id
    * @return staffIdNotList
    */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
    * 设置 人员id
    * @param staffIdNotList
    */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
    * 获取 工号
    * @return workNumList
    */
    public List<String> getWorkNumList(){
        return this.workNumList;
    }

    /**
    * 设置 工号
    * @param workNumList
    */
    public void setWorkNumList(List<String> workNumList){
        this.workNumList = workNumList;
    }

    /**
    * 获取 工号
    * @return workNumNotList
    */
    public List<String> getWorkNumNotList(){
        return this.workNumNotList;
    }

    /**
    * 设置 工号
    * @param workNumNotList
    */
    public void setWorkNumNotList(List<String> workNumNotList){
        this.workNumNotList = workNumNotList;
    }

    /**
    * 获取 人员名称
    * @return staffNameList
    */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
    * 设置 人员名称
    * @param staffNameList
    */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
    * 获取 人员名称
    * @return staffNameNotList
    */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
    * 设置 人员名称
    * @param staffNameNotList
    */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
    * 获取 开始 部门id号
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 部门id号
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 部门id号
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 部门id号
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 部门id号
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 部门id号
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 部门id号
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 部门id号
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 部门id号
    * @return deptIdNotList
    */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
    * 设置 部门id号
    * @param deptIdNotList
    */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
    * 获取 部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 部门名称
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 部门名称
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 开始 考勤绩效指标分数
    * @return attendScoreStart
    */
    public BigDecimal getAttendScoreStart(){
        return this.attendScoreStart;
    }

    /**
    * 设置 开始 考勤绩效指标分数
    * @param attendScoreStart
    */
    public void setAttendScoreStart(BigDecimal attendScoreStart){
        this.attendScoreStart = attendScoreStart;
    }

    /**
    * 获取 结束 考勤绩效指标分数
    * @return $attendScoreEnd
    */
    public BigDecimal getAttendScoreEnd(){
        return this.attendScoreEnd;
    }

    /**
    * 设置 结束 考勤绩效指标分数
    * @param attendScoreEnd
    */
    public void setAttendScoreEnd(BigDecimal attendScoreEnd){
        this.attendScoreEnd = attendScoreEnd;
    }

    /**
    * 获取 增加 考勤绩效指标分数
    * @return attendScoreIncrement
    */
    public BigDecimal getAttendScoreIncrement(){
        return this.attendScoreIncrement;
    }

    /**
    * 设置 增加 考勤绩效指标分数
    * @param attendScoreIncrement
    */
    public void setAttendScoreIncrement(BigDecimal attendScoreIncrement){
        this.attendScoreIncrement = attendScoreIncrement;
    }

    /**
    * 获取 考勤绩效指标分数
    * @return attendScoreList
    */
    public List<BigDecimal> getAttendScoreList(){
        return this.attendScoreList;
    }

    /**
    * 设置 考勤绩效指标分数
    * @param attendScoreList
    */
    public void setAttendScoreList(List<BigDecimal> attendScoreList){
        this.attendScoreList = attendScoreList;
    }

    /**
    * 获取 考勤绩效指标分数
    * @return attendScoreNotList
    */
    public List<BigDecimal> getAttendScoreNotList(){
        return this.attendScoreNotList;
    }

    /**
    * 设置 考勤绩效指标分数
    * @param attendScoreNotList
    */
    public void setAttendScoreNotList(List<BigDecimal> attendScoreNotList){
        this.attendScoreNotList = attendScoreNotList;
    }


    /**
    * 获取 开始 评价绩效指标分数
    * @return assessScoreStart
    */
    public BigDecimal getAssessScoreStart(){
        return this.assessScoreStart;
    }

    /**
    * 设置 开始 评价绩效指标分数
    * @param assessScoreStart
    */
    public void setAssessScoreStart(BigDecimal assessScoreStart){
        this.assessScoreStart = assessScoreStart;
    }

    /**
    * 获取 结束 评价绩效指标分数
    * @return $assessScoreEnd
    */
    public BigDecimal getAssessScoreEnd(){
        return this.assessScoreEnd;
    }

    /**
    * 设置 结束 评价绩效指标分数
    * @param assessScoreEnd
    */
    public void setAssessScoreEnd(BigDecimal assessScoreEnd){
        this.assessScoreEnd = assessScoreEnd;
    }

    /**
    * 获取 增加 评价绩效指标分数
    * @return assessScoreIncrement
    */
    public BigDecimal getAssessScoreIncrement(){
        return this.assessScoreIncrement;
    }

    /**
    * 设置 增加 评价绩效指标分数
    * @param assessScoreIncrement
    */
    public void setAssessScoreIncrement(BigDecimal assessScoreIncrement){
        this.assessScoreIncrement = assessScoreIncrement;
    }

    /**
    * 获取 评价绩效指标分数
    * @return assessScoreList
    */
    public List<BigDecimal> getAssessScoreList(){
        return this.assessScoreList;
    }

    /**
    * 设置 评价绩效指标分数
    * @param assessScoreList
    */
    public void setAssessScoreList(List<BigDecimal> assessScoreList){
        this.assessScoreList = assessScoreList;
    }

    /**
    * 获取 评价绩效指标分数
    * @return assessScoreNotList
    */
    public List<BigDecimal> getAssessScoreNotList(){
        return this.assessScoreNotList;
    }

    /**
    * 设置 评价绩效指标分数
    * @param assessScoreNotList
    */
    public void setAssessScoreNotList(List<BigDecimal> assessScoreNotList){
        this.assessScoreNotList = assessScoreNotList;
    }


    /**
    * 获取 开始 办件绩效分数
    * @return workScoreStart
    */
    public BigDecimal getWorkScoreStart(){
        return this.workScoreStart;
    }

    /**
    * 设置 开始 办件绩效分数
    * @param workScoreStart
    */
    public void setWorkScoreStart(BigDecimal workScoreStart){
        this.workScoreStart = workScoreStart;
    }

    /**
    * 获取 结束 办件绩效分数
    * @return $workScoreEnd
    */
    public BigDecimal getWorkScoreEnd(){
        return this.workScoreEnd;
    }

    /**
    * 设置 结束 办件绩效分数
    * @param workScoreEnd
    */
    public void setWorkScoreEnd(BigDecimal workScoreEnd){
        this.workScoreEnd = workScoreEnd;
    }

    /**
    * 获取 增加 办件绩效分数
    * @return workScoreIncrement
    */
    public BigDecimal getWorkScoreIncrement(){
        return this.workScoreIncrement;
    }

    /**
    * 设置 增加 办件绩效分数
    * @param workScoreIncrement
    */
    public void setWorkScoreIncrement(BigDecimal workScoreIncrement){
        this.workScoreIncrement = workScoreIncrement;
    }

    /**
    * 获取 办件绩效分数
    * @return workScoreList
    */
    public List<BigDecimal> getWorkScoreList(){
        return this.workScoreList;
    }

    /**
    * 设置 办件绩效分数
    * @param workScoreList
    */
    public void setWorkScoreList(List<BigDecimal> workScoreList){
        this.workScoreList = workScoreList;
    }

    /**
    * 获取 办件绩效分数
    * @return workScoreNotList
    */
    public List<BigDecimal> getWorkScoreNotList(){
        return this.workScoreNotList;
    }

    /**
    * 设置 办件绩效分数
    * @param workScoreNotList
    */
    public void setWorkScoreNotList(List<BigDecimal> workScoreNotList){
        this.workScoreNotList = workScoreNotList;
    }


    /**
    * 获取 开始 效能绩效分数
    * @return effectScoreStart
    */
    public BigDecimal getEffectScoreStart(){
        return this.effectScoreStart;
    }

    /**
    * 设置 开始 效能绩效分数
    * @param effectScoreStart
    */
    public void setEffectScoreStart(BigDecimal effectScoreStart){
        this.effectScoreStart = effectScoreStart;
    }

    /**
    * 获取 结束 效能绩效分数
    * @return $effectScoreEnd
    */
    public BigDecimal getEffectScoreEnd(){
        return this.effectScoreEnd;
    }

    /**
    * 设置 结束 效能绩效分数
    * @param effectScoreEnd
    */
    public void setEffectScoreEnd(BigDecimal effectScoreEnd){
        this.effectScoreEnd = effectScoreEnd;
    }

    /**
    * 获取 增加 效能绩效分数
    * @return effectScoreIncrement
    */
    public BigDecimal getEffectScoreIncrement(){
        return this.effectScoreIncrement;
    }

    /**
    * 设置 增加 效能绩效分数
    * @param effectScoreIncrement
    */
    public void setEffectScoreIncrement(BigDecimal effectScoreIncrement){
        this.effectScoreIncrement = effectScoreIncrement;
    }

    /**
    * 获取 效能绩效分数
    * @return effectScoreList
    */
    public List<BigDecimal> getEffectScoreList(){
        return this.effectScoreList;
    }

    /**
    * 设置 效能绩效分数
    * @param effectScoreList
    */
    public void setEffectScoreList(List<BigDecimal> effectScoreList){
        this.effectScoreList = effectScoreList;
    }

    /**
    * 获取 效能绩效分数
    * @return effectScoreNotList
    */
    public List<BigDecimal> getEffectScoreNotList(){
        return this.effectScoreNotList;
    }

    /**
    * 设置 效能绩效分数
    * @param effectScoreNotList
    */
    public void setEffectScoreNotList(List<BigDecimal> effectScoreNotList){
        this.effectScoreNotList = effectScoreNotList;
    }


    /**
    * 获取 开始 其它绩效分数
    * @return otherScoreStart
    */
    public BigDecimal getOtherScoreStart(){
        return this.otherScoreStart;
    }

    /**
    * 设置 开始 其它绩效分数
    * @param otherScoreStart
    */
    public void setOtherScoreStart(BigDecimal otherScoreStart){
        this.otherScoreStart = otherScoreStart;
    }

    /**
    * 获取 结束 其它绩效分数
    * @return $otherScoreEnd
    */
    public BigDecimal getOtherScoreEnd(){
        return this.otherScoreEnd;
    }

    /**
    * 设置 结束 其它绩效分数
    * @param otherScoreEnd
    */
    public void setOtherScoreEnd(BigDecimal otherScoreEnd){
        this.otherScoreEnd = otherScoreEnd;
    }

    /**
    * 获取 增加 其它绩效分数
    * @return otherScoreIncrement
    */
    public BigDecimal getOtherScoreIncrement(){
        return this.otherScoreIncrement;
    }

    /**
    * 设置 增加 其它绩效分数
    * @param otherScoreIncrement
    */
    public void setOtherScoreIncrement(BigDecimal otherScoreIncrement){
        this.otherScoreIncrement = otherScoreIncrement;
    }

    /**
    * 获取 其它绩效分数
    * @return otherScoreList
    */
    public List<BigDecimal> getOtherScoreList(){
        return this.otherScoreList;
    }

    /**
    * 设置 其它绩效分数
    * @param otherScoreList
    */
    public void setOtherScoreList(List<BigDecimal> otherScoreList){
        this.otherScoreList = otherScoreList;
    }

    /**
    * 获取 其它绩效分数
    * @return otherScoreNotList
    */
    public List<BigDecimal> getOtherScoreNotList(){
        return this.otherScoreNotList;
    }

    /**
    * 设置 其它绩效分数
    * @param otherScoreNotList
    */
    public void setOtherScoreNotList(List<BigDecimal> otherScoreNotList){
        this.otherScoreNotList = otherScoreNotList;
    }


    /**
    * 获取 开始 累计异常分数
    * @return errorScoreStart
    */
    public BigDecimal getErrorScoreStart(){
        return this.errorScoreStart;
    }

    /**
    * 设置 开始 累计异常分数
    * @param errorScoreStart
    */
    public void setErrorScoreStart(BigDecimal errorScoreStart){
        this.errorScoreStart = errorScoreStart;
    }

    /**
    * 获取 结束 累计异常分数
    * @return $errorScoreEnd
    */
    public BigDecimal getErrorScoreEnd(){
        return this.errorScoreEnd;
    }

    /**
    * 设置 结束 累计异常分数
    * @param errorScoreEnd
    */
    public void setErrorScoreEnd(BigDecimal errorScoreEnd){
        this.errorScoreEnd = errorScoreEnd;
    }

    /**
    * 获取 增加 累计异常分数
    * @return errorScoreIncrement
    */
    public BigDecimal getErrorScoreIncrement(){
        return this.errorScoreIncrement;
    }

    /**
    * 设置 增加 累计异常分数
    * @param errorScoreIncrement
    */
    public void setErrorScoreIncrement(BigDecimal errorScoreIncrement){
        this.errorScoreIncrement = errorScoreIncrement;
    }

    /**
    * 获取 累计异常分数
    * @return errorScoreList
    */
    public List<BigDecimal> getErrorScoreList(){
        return this.errorScoreList;
    }

    /**
    * 设置 累计异常分数
    * @param errorScoreList
    */
    public void setErrorScoreList(List<BigDecimal> errorScoreList){
        this.errorScoreList = errorScoreList;
    }

    /**
    * 获取 累计异常分数
    * @return errorScoreNotList
    */
    public List<BigDecimal> getErrorScoreNotList(){
        return this.errorScoreNotList;
    }

    /**
    * 设置 累计异常分数
    * @param errorScoreNotList
    */
    public void setErrorScoreNotList(List<BigDecimal> errorScoreNotList){
        this.errorScoreNotList = errorScoreNotList;
    }


    /**
    * 获取 开始 当月得分数
    * @return totalScoreStart
    */
    public BigDecimal getTotalScoreStart(){
        return this.totalScoreStart;
    }

    /**
    * 设置 开始 当月得分数
    * @param totalScoreStart
    */
    public void setTotalScoreStart(BigDecimal totalScoreStart){
        this.totalScoreStart = totalScoreStart;
    }

    /**
    * 获取 结束 当月得分数
    * @return $totalScoreEnd
    */
    public BigDecimal getTotalScoreEnd(){
        return this.totalScoreEnd;
    }

    /**
    * 设置 结束 当月得分数
    * @param totalScoreEnd
    */
    public void setTotalScoreEnd(BigDecimal totalScoreEnd){
        this.totalScoreEnd = totalScoreEnd;
    }

    /**
    * 获取 增加 当月得分数
    * @return totalScoreIncrement
    */
    public BigDecimal getTotalScoreIncrement(){
        return this.totalScoreIncrement;
    }

    /**
    * 设置 增加 当月得分数
    * @param totalScoreIncrement
    */
    public void setTotalScoreIncrement(BigDecimal totalScoreIncrement){
        this.totalScoreIncrement = totalScoreIncrement;
    }

    /**
    * 获取 当月得分数
    * @return totalScoreList
    */
    public List<BigDecimal> getTotalScoreList(){
        return this.totalScoreList;
    }

    /**
    * 设置 当月得分数
    * @param totalScoreList
    */
    public void setTotalScoreList(List<BigDecimal> totalScoreList){
        this.totalScoreList = totalScoreList;
    }

    /**
    * 获取 当月得分数
    * @return totalScoreNotList
    */
    public List<BigDecimal> getTotalScoreNotList(){
        return this.totalScoreNotList;
    }

    /**
    * 设置 当月得分数
    * @param totalScoreNotList
    */
    public void setTotalScoreNotList(List<BigDecimal> totalScoreNotList){
        this.totalScoreNotList = totalScoreNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 年
    * @return yearStart
    */
    public Integer getYearStart(){
        return this.yearStart;
    }

    /**
    * 设置 开始 年
    * @param yearStart
    */
    public void setYearStart(Integer yearStart){
        this.yearStart = yearStart;
    }

    /**
    * 获取 结束 年
    * @return $yearEnd
    */
    public Integer getYearEnd(){
        return this.yearEnd;
    }

    /**
    * 设置 结束 年
    * @param yearEnd
    */
    public void setYearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
    }

    /**
    * 获取 增加 年
    * @return yearIncrement
    */
    public Integer getYearIncrement(){
        return this.yearIncrement;
    }

    /**
    * 设置 增加 年
    * @param yearIncrement
    */
    public void setYearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
    }

    /**
    * 获取 年
    * @return yearList
    */
    public List<Integer> getYearList(){
        return this.yearList;
    }

    /**
    * 设置 年
    * @param yearList
    */
    public void setYearList(List<Integer> yearList){
        this.yearList = yearList;
    }

    /**
    * 获取 年
    * @return yearNotList
    */
    public List<Integer> getYearNotList(){
        return this.yearNotList;
    }

    /**
    * 设置 年
    * @param yearNotList
    */
    public void setYearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
    }


    /**
    * 获取 开始 月
    * @return monthStart
    */
    public Integer getMonthStart(){
        return this.monthStart;
    }

    /**
    * 设置 开始 月
    * @param monthStart
    */
    public void setMonthStart(Integer monthStart){
        this.monthStart = monthStart;
    }

    /**
    * 获取 结束 月
    * @return $monthEnd
    */
    public Integer getMonthEnd(){
        return this.monthEnd;
    }

    /**
    * 设置 结束 月
    * @param monthEnd
    */
    public void setMonthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
    }

    /**
    * 获取 增加 月
    * @return monthIncrement
    */
    public Integer getMonthIncrement(){
        return this.monthIncrement;
    }

    /**
    * 设置 增加 月
    * @param monthIncrement
    */
    public void setMonthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
    }

    /**
    * 获取 月
    * @return monthList
    */
    public List<Integer> getMonthList(){
        return this.monthList;
    }

    /**
    * 设置 月
    * @param monthList
    */
    public void setMonthList(List<Integer> monthList){
        this.monthList = monthList;
    }

    /**
    * 获取 月
    * @return monthNotList
    */
    public List<Integer> getMonthNotList(){
        return this.monthNotList;
    }

    /**
    * 设置 月
    * @param monthNotList
    */
    public void setMonthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建人id
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人id
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人id
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人id
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人id
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 更新人id
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新人id
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新人id
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public StaffPerformSummaryQuery id(Long id){
	    setId(id);
		return this;
    }

	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public StaffPerformSummaryQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public StaffPerformSummaryQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public StaffPerformSummaryQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public StaffPerformSummaryQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public StaffPerformSummaryQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  人员id
    * @param staffId
    */
    public StaffPerformSummaryQuery staffId(Long staffId){
	    setStaffId(staffId);
		return this;
    }

	 /**
    * 设置 开始 人员id
    * @param staffIdStart
    */
    public StaffPerformSummaryQuery staffIdStart(Long staffIdStart){
		this.staffIdStart = staffIdStart;
		return this;
    }

    /**
    * 设置 结束 人员id
    * @param staffIdEnd
    */
    public StaffPerformSummaryQuery staffIdEnd(Long staffIdEnd){
		this.staffIdEnd = staffIdEnd;
		return this;
    }

    /**
    * 设置 增加 人员id
    * @param staffIdIncrement
    */
    public StaffPerformSummaryQuery staffIdIncrement(Long staffIdIncrement){
		this.staffIdIncrement = staffIdIncrement;
		return this;
    }

    /**
    * 设置 人员id
    * @param staffIdList
    */
    public StaffPerformSummaryQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
		return this;
        }

        /**
        * 设置 人员id
        * @param staffIdNotList
        */
        public StaffPerformSummaryQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
        }


	/**
    * 设置 工号
    * @param workNum
    */
    public StaffPerformSummaryQuery workNum(String workNum){
        setWorkNum(workNum);
		return this;
    }

    /**
    * 设置 工号
    * @param workNumList
    */
    public StaffPerformSummaryQuery workNumList(List<String> workNumList){
        this.workNumList = workNumList;
		return this;
    }


	/**
    * 设置 人员名称
    * @param staffName
    */
    public StaffPerformSummaryQuery staffName(String staffName){
        setStaffName(staffName);
		return this;
    }

    /**
    * 设置 人员名称
    * @param staffNameList
    */
    public StaffPerformSummaryQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
		return this;
    }

    /**
    * 设置  部门id号
    * @param deptId
    */
    public StaffPerformSummaryQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }

	 /**
    * 设置 开始 部门id号
    * @param deptIdStart
    */
    public StaffPerformSummaryQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 部门id号
    * @param deptIdEnd
    */
    public StaffPerformSummaryQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 部门id号
    * @param deptIdIncrement
    */
    public StaffPerformSummaryQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 部门id号
    * @param deptIdList
    */
    public StaffPerformSummaryQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }

        /**
        * 设置 部门id号
        * @param deptIdNotList
        */
        public StaffPerformSummaryQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
        }


	/**
    * 设置 部门名称
    * @param deptName
    */
    public StaffPerformSummaryQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public StaffPerformSummaryQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }

    /**
    * 设置  考勤绩效指标分数
    * @param attendScore
    */
    public StaffPerformSummaryQuery attendScore(BigDecimal attendScore){
	    setAttendScore(attendScore);
		return this;
    }

	 /**
    * 设置 开始 考勤绩效指标分数
    * @param attendScoreStart
    */
    public StaffPerformSummaryQuery attendScoreStart(BigDecimal attendScoreStart){
		this.attendScoreStart = attendScoreStart;
		return this;
    }

    /**
    * 设置 结束 考勤绩效指标分数
    * @param attendScoreEnd
    */
    public StaffPerformSummaryQuery attendScoreEnd(BigDecimal attendScoreEnd){
		this.attendScoreEnd = attendScoreEnd;
		return this;
    }

    /**
    * 设置 增加 考勤绩效指标分数
    * @param attendScoreIncrement
    */
    public StaffPerformSummaryQuery attendScoreIncrement(BigDecimal attendScoreIncrement){
		this.attendScoreIncrement = attendScoreIncrement;
		return this;
    }

    /**
    * 设置 考勤绩效指标分数
    * @param attendScoreList
    */
    public StaffPerformSummaryQuery attendScoreList(List<BigDecimal> attendScoreList){
        this.attendScoreList = attendScoreList;
		return this;
        }

        /**
        * 设置 考勤绩效指标分数
        * @param attendScoreNotList
        */
        public StaffPerformSummaryQuery attendScoreNotList(List<BigDecimal> attendScoreNotList){
        this.attendScoreNotList = attendScoreNotList;
        return this;
        }

    /**
    * 设置  评价绩效指标分数
    * @param assessScore
    */
    public StaffPerformSummaryQuery assessScore(BigDecimal assessScore){
	    setAssessScore(assessScore);
		return this;
    }

	 /**
    * 设置 开始 评价绩效指标分数
    * @param assessScoreStart
    */
    public StaffPerformSummaryQuery assessScoreStart(BigDecimal assessScoreStart){
		this.assessScoreStart = assessScoreStart;
		return this;
    }

    /**
    * 设置 结束 评价绩效指标分数
    * @param assessScoreEnd
    */
    public StaffPerformSummaryQuery assessScoreEnd(BigDecimal assessScoreEnd){
		this.assessScoreEnd = assessScoreEnd;
		return this;
    }

    /**
    * 设置 增加 评价绩效指标分数
    * @param assessScoreIncrement
    */
    public StaffPerformSummaryQuery assessScoreIncrement(BigDecimal assessScoreIncrement){
		this.assessScoreIncrement = assessScoreIncrement;
		return this;
    }

    /**
    * 设置 评价绩效指标分数
    * @param assessScoreList
    */
    public StaffPerformSummaryQuery assessScoreList(List<BigDecimal> assessScoreList){
        this.assessScoreList = assessScoreList;
		return this;
        }

        /**
        * 设置 评价绩效指标分数
        * @param assessScoreNotList
        */
        public StaffPerformSummaryQuery assessScoreNotList(List<BigDecimal> assessScoreNotList){
        this.assessScoreNotList = assessScoreNotList;
        return this;
        }

    /**
    * 设置  办件绩效分数
    * @param workScore
    */
    public StaffPerformSummaryQuery workScore(BigDecimal workScore){
	    setWorkScore(workScore);
		return this;
    }

	 /**
    * 设置 开始 办件绩效分数
    * @param workScoreStart
    */
    public StaffPerformSummaryQuery workScoreStart(BigDecimal workScoreStart){
		this.workScoreStart = workScoreStart;
		return this;
    }

    /**
    * 设置 结束 办件绩效分数
    * @param workScoreEnd
    */
    public StaffPerformSummaryQuery workScoreEnd(BigDecimal workScoreEnd){
		this.workScoreEnd = workScoreEnd;
		return this;
    }

    /**
    * 设置 增加 办件绩效分数
    * @param workScoreIncrement
    */
    public StaffPerformSummaryQuery workScoreIncrement(BigDecimal workScoreIncrement){
		this.workScoreIncrement = workScoreIncrement;
		return this;
    }

    /**
    * 设置 办件绩效分数
    * @param workScoreList
    */
    public StaffPerformSummaryQuery workScoreList(List<BigDecimal> workScoreList){
        this.workScoreList = workScoreList;
		return this;
        }

        /**
        * 设置 办件绩效分数
        * @param workScoreNotList
        */
        public StaffPerformSummaryQuery workScoreNotList(List<BigDecimal> workScoreNotList){
        this.workScoreNotList = workScoreNotList;
        return this;
        }

    /**
    * 设置  效能绩效分数
    * @param effectScore
    */
    public StaffPerformSummaryQuery effectScore(BigDecimal effectScore){
	    setEffectScore(effectScore);
		return this;
    }

	 /**
    * 设置 开始 效能绩效分数
    * @param effectScoreStart
    */
    public StaffPerformSummaryQuery effectScoreStart(BigDecimal effectScoreStart){
		this.effectScoreStart = effectScoreStart;
		return this;
    }

    /**
    * 设置 结束 效能绩效分数
    * @param effectScoreEnd
    */
    public StaffPerformSummaryQuery effectScoreEnd(BigDecimal effectScoreEnd){
		this.effectScoreEnd = effectScoreEnd;
		return this;
    }

    /**
    * 设置 增加 效能绩效分数
    * @param effectScoreIncrement
    */
    public StaffPerformSummaryQuery effectScoreIncrement(BigDecimal effectScoreIncrement){
		this.effectScoreIncrement = effectScoreIncrement;
		return this;
    }

    /**
    * 设置 效能绩效分数
    * @param effectScoreList
    */
    public StaffPerformSummaryQuery effectScoreList(List<BigDecimal> effectScoreList){
        this.effectScoreList = effectScoreList;
		return this;
        }

        /**
        * 设置 效能绩效分数
        * @param effectScoreNotList
        */
        public StaffPerformSummaryQuery effectScoreNotList(List<BigDecimal> effectScoreNotList){
        this.effectScoreNotList = effectScoreNotList;
        return this;
        }

    /**
    * 设置  其它绩效分数
    * @param otherScore
    */
    public StaffPerformSummaryQuery otherScore(BigDecimal otherScore){
	    setOtherScore(otherScore);
		return this;
    }

	 /**
    * 设置 开始 其它绩效分数
    * @param otherScoreStart
    */
    public StaffPerformSummaryQuery otherScoreStart(BigDecimal otherScoreStart){
		this.otherScoreStart = otherScoreStart;
		return this;
    }

    /**
    * 设置 结束 其它绩效分数
    * @param otherScoreEnd
    */
    public StaffPerformSummaryQuery otherScoreEnd(BigDecimal otherScoreEnd){
		this.otherScoreEnd = otherScoreEnd;
		return this;
    }

    /**
    * 设置 增加 其它绩效分数
    * @param otherScoreIncrement
    */
    public StaffPerformSummaryQuery otherScoreIncrement(BigDecimal otherScoreIncrement){
		this.otherScoreIncrement = otherScoreIncrement;
		return this;
    }

    /**
    * 设置 其它绩效分数
    * @param otherScoreList
    */
    public StaffPerformSummaryQuery otherScoreList(List<BigDecimal> otherScoreList){
        this.otherScoreList = otherScoreList;
		return this;
        }

        /**
        * 设置 其它绩效分数
        * @param otherScoreNotList
        */
        public StaffPerformSummaryQuery otherScoreNotList(List<BigDecimal> otherScoreNotList){
        this.otherScoreNotList = otherScoreNotList;
        return this;
        }

    /**
    * 设置  累计异常分数
    * @param errorScore
    */
    public StaffPerformSummaryQuery errorScore(BigDecimal errorScore){
	    setErrorScore(errorScore);
		return this;
    }

	 /**
    * 设置 开始 累计异常分数
    * @param errorScoreStart
    */
    public StaffPerformSummaryQuery errorScoreStart(BigDecimal errorScoreStart){
		this.errorScoreStart = errorScoreStart;
		return this;
    }

    /**
    * 设置 结束 累计异常分数
    * @param errorScoreEnd
    */
    public StaffPerformSummaryQuery errorScoreEnd(BigDecimal errorScoreEnd){
		this.errorScoreEnd = errorScoreEnd;
		return this;
    }

    /**
    * 设置 增加 累计异常分数
    * @param errorScoreIncrement
    */
    public StaffPerformSummaryQuery errorScoreIncrement(BigDecimal errorScoreIncrement){
		this.errorScoreIncrement = errorScoreIncrement;
		return this;
    }

    /**
    * 设置 累计异常分数
    * @param errorScoreList
    */
    public StaffPerformSummaryQuery errorScoreList(List<BigDecimal> errorScoreList){
        this.errorScoreList = errorScoreList;
		return this;
        }

        /**
        * 设置 累计异常分数
        * @param errorScoreNotList
        */
        public StaffPerformSummaryQuery errorScoreNotList(List<BigDecimal> errorScoreNotList){
        this.errorScoreNotList = errorScoreNotList;
        return this;
        }

    /**
    * 设置  当月得分数
    * @param totalScore
    */
    public StaffPerformSummaryQuery totalScore(BigDecimal totalScore){
	    setTotalScore(totalScore);
		return this;
    }

	 /**
    * 设置 开始 当月得分数
    * @param totalScoreStart
    */
    public StaffPerformSummaryQuery totalScoreStart(BigDecimal totalScoreStart){
		this.totalScoreStart = totalScoreStart;
		return this;
    }

    /**
    * 设置 结束 当月得分数
    * @param totalScoreEnd
    */
    public StaffPerformSummaryQuery totalScoreEnd(BigDecimal totalScoreEnd){
		this.totalScoreEnd = totalScoreEnd;
		return this;
    }

    /**
    * 设置 增加 当月得分数
    * @param totalScoreIncrement
    */
    public StaffPerformSummaryQuery totalScoreIncrement(BigDecimal totalScoreIncrement){
		this.totalScoreIncrement = totalScoreIncrement;
		return this;
    }

    /**
    * 设置 当月得分数
    * @param totalScoreList
    */
    public StaffPerformSummaryQuery totalScoreList(List<BigDecimal> totalScoreList){
        this.totalScoreList = totalScoreList;
		return this;
        }

        /**
        * 设置 当月得分数
        * @param totalScoreNotList
        */
        public StaffPerformSummaryQuery totalScoreNotList(List<BigDecimal> totalScoreNotList){
        this.totalScoreNotList = totalScoreNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public StaffPerformSummaryQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public StaffPerformSummaryQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  年
    * @param year
    */
    public StaffPerformSummaryQuery year(Integer year){
	    setYear(year);
		return this;
    }

	 /**
    * 设置 开始 年
    * @param yearStart
    */
    public StaffPerformSummaryQuery yearStart(Integer yearStart){
		this.yearStart = yearStart;
		return this;
    }

    /**
    * 设置 结束 年
    * @param yearEnd
    */
    public StaffPerformSummaryQuery yearEnd(Integer yearEnd){
		this.yearEnd = yearEnd;
		return this;
    }

    /**
    * 设置 增加 年
    * @param yearIncrement
    */
    public StaffPerformSummaryQuery yearIncrement(Integer yearIncrement){
		this.yearIncrement = yearIncrement;
		return this;
    }

    /**
    * 设置 年
    * @param yearList
    */
    public StaffPerformSummaryQuery yearList(List<Integer> yearList){
        this.yearList = yearList;
		return this;
        }

        /**
        * 设置 年
        * @param yearNotList
        */
        public StaffPerformSummaryQuery yearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
        return this;
        }

    /**
    * 设置  月
    * @param month
    */
    public StaffPerformSummaryQuery month(Integer month){
	    setMonth(month);
		return this;
    }

	 /**
    * 设置 开始 月
    * @param monthStart
    */
    public StaffPerformSummaryQuery monthStart(Integer monthStart){
		this.monthStart = monthStart;
		return this;
    }

    /**
    * 设置 结束 月
    * @param monthEnd
    */
    public StaffPerformSummaryQuery monthEnd(Integer monthEnd){
		this.monthEnd = monthEnd;
		return this;
    }

    /**
    * 设置 增加 月
    * @param monthIncrement
    */
    public StaffPerformSummaryQuery monthIncrement(Integer monthIncrement){
		this.monthIncrement = monthIncrement;
		return this;
    }

    /**
    * 设置 月
    * @param monthList
    */
    public StaffPerformSummaryQuery monthList(List<Integer> monthList){
        this.monthList = monthList;
		return this;
        }

        /**
        * 设置 月
        * @param monthNotList
        */
        public StaffPerformSummaryQuery monthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
        return this;
        }


    /**
    * 设置  创建人id
    * @param createUserId
    */
    public StaffPerformSummaryQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }

	 /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public StaffPerformSummaryQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public StaffPerformSummaryQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public StaffPerformSummaryQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public StaffPerformSummaryQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建人id
        * @param createUserIdNotList
        */
        public StaffPerformSummaryQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新人id
    * @param updateUserId
    */
    public StaffPerformSummaryQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }

	 /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public StaffPerformSummaryQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public StaffPerformSummaryQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public StaffPerformSummaryQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public StaffPerformSummaryQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新人id
        * @param updateUserIdNotList
        */
        public StaffPerformSummaryQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<StaffPerformSummaryQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<StaffPerformSummaryQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<StaffPerformSummaryQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<StaffPerformSummaryQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}
